# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename ftp

Name:               nodejs-ftp
Version:            0.3.7
Release:            1%{?dist}
Summary:            An FTP client module for node.js

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/ftp
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

BuildRequires:      npm(xregexp)
BuildRequires:      npm(readable-stream)

Requires:           npm(xregexp)
Requires:           npm(readable-stream)

%description
node-ftp is an FTP client module for node.js that provides an asynchronous
interface for communicating with an FTP server.

%prep
%setup -q -n mscdex-node-ftp-67680c2

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/ftp
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/ftp

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
node test/test.js
%endif


%files
%doc LICENSE README.md TODO
%{nodejs_sitelib}/ftp/

%changelog
* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 0.3.7-1
- Initial packaging for Fedora.
